Skip to content
Ona Docs

ListEditors

client.editors.list(EditorListParams { token, pageSize, filter, pagination } params, RequestOptionsoptions?): EditorsPage<Editor { id, installationInstructions, name, 5 more } >
POST/gitpod.v1.EditorService/ListEditors

Lists all available code editors, optionally filtered to those allowed in an organization.

Use this method to:

  • View supported editors
  • Get editor capabilities
  • Browse editor options
  • Check editor availability

Examples

  • List editors:

    Shows all available editors with pagination.

    pagination:
      pageSize: 20
  • List editors available to the organization:

    Shows all available editors that are allowed by the policies enforced in the organization with pagination.

    pagination:
      pageSize: 20
    filter:
      allowedByPolicy: true
ParametersExpand Collapse
params: EditorListParams { token, pageSize, filter, pagination }
token?: string

Query param

pageSize?: number

Query param

maximum100
minimum0
filter?: Filter

Body param: filter contains the filter options for listing editors

allowedByPolicy?: boolean

allowed_by_policy filters the response to only editors that are allowed by the policies enforced in the organization

ReturnsExpand Collapse
Editor { id, installationInstructions, name, 5 more }
id: string
formatuuid
installationInstructions: string
name: string
urlTemplate: string
alias?: string
iconUrl?: string
shortDescription?: string
versions?: Array<EditorVersion { version } >

versions contains the list of available versions for this editor

version: string

version is the version string of the editor Examples for JetBrains: 2025.2

ListEditors

import Gitpod from '@gitpod/sdk';

const client = new Gitpod({
  bearerToken: process.env['GITPOD_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const editor of client.editors.list({ pagination: { pageSize: 20 } })) {
  console.log(editor.id);
}
{
  "editors": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "installationInstructions": "installationInstructions",
      "name": "name",
      "urlTemplate": "urlTemplate",
      "alias": "alias",
      "iconUrl": "iconUrl",
      "shortDescription": "shortDescription",
      "versions": [
        {
          "version": "version"
        }
      ]
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}
Returns Examples
{
  "editors": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "installationInstructions": "installationInstructions",
      "name": "name",
      "urlTemplate": "urlTemplate",
      "alias": "alias",
      "iconUrl": "iconUrl",
      "shortDescription": "shortDescription",
      "versions": [
        {
          "version": "version"
        }
      ]
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}